[Twisted-Python] Fwd: [Twisted-commits] r11721 - revert r11685

Cory Dodt corydodt at twistedmatrix.com
Mon Sep 20 11:46:57 EDT 2004

Hash: SHA1

Urgh.  I usually avoid getting involved in these discussions--not because I
don't want to participate but because the ML style does not work very well
with my brain.  There's all these different parts of this proposal and some
are being rejected by some people and modified by other people and it's very
hard for me to figure out what the whole picture is.

In this case, I have to say something because this is pretty important to the
product I'm developing.  I just spent 6 weeks doing a conversion to Nevow
because Woven isn't being supported any more.  I do *not* want to do the same
thing with Web.  I've made modifications to Twisted trunk that I was hoping to
get out of 2.0 for our official release, but if there's not going to be a web1
any more, that puts this project in jeopardy again because it means I may not
be able to use 2.0.

So here's what I have to say: please *summarize*.  I need to get a sense of:

1) Timeline.. when are changes being implemented, in what order, tied to what
release etc.
2) How is the svn repo going to change?
3) What is going to be put into what release by whom?
4) What's the impact if you're currently using web1 and you want to be using
web2 because 1 isn't supported any more?
5) What's the impact if you stay with web1?

If you haven't decided yet, go ahead and decide, but then summarize
afterwards. :-)



Itamar Shtull-Trauring wrote:
| On Mon, 2004-09-20 at 10:49, Glyph Lefkowitz wrote:
|>>We already figured out which web server we ("we" being those developers
|>>who actually care about the web) are going to be supporting.
|>>twisted.web2. web should have a deprecation warning in __init__ for a
|>>release, and then should be terminated with extreme prejudice.
|>I would terminate before providing a deprecation warning.  If you want
|>to provide a backwards-compatibility release for using web1 with the new
|>reactor core, that's fine, but I don't see any reason to include web1
|>with the new download.
| twisted.web will not be included. There will be two downloads ("Twisted
| Web 1 - Deprecated", "Twisted Web 2"). Most people will not download the
| first ever. The first will likely not have new releases unless we fine
| security issues. Moving it to branch and only doing releases from there
| may be fine (if our release infrastructure is up to it!) but I still
| think newweb should be twisted.web2.
| Summary:
| 1. twisted.web2 remains web2.
| 2. Move twisted.web (and any other security bugfix only packages, I
| guess) to a "deprecated" branch.
| Yes? No?
| If yes, that just leaves the nevow/twisted.web2 merger question, which
| should probably be done on twisted-web mailing list.
| _______________________________________________
| Twisted-Python mailing list
| Twisted-Python at twistedmatrix.com
| http://twistedmatrix.com/cgi-bin/mailman/listinfo/twisted-python

Version: GnuPG v1.2.1 (MingW32)
Comment: Using GnuPG with Thunderbird - http://enigmail.mozdev.org


More information about the Twisted-Python mailing list